summaryrefslogtreecommitdiffstats
path: root/.local/bin/convertalltype
diff options
context:
space:
mode:
authormsglm <msglm@techchud.xyz>2023-01-14 10:33:04 -0600
committermsglm <msglm@techchud.xyz>2023-01-14 10:33:04 -0600
commit0d05ef1e12314985988e567ac22a179d0f646899 (patch)
treede702ad5f7550a27a6fb982e617363ccaca4fecf /.local/bin/convertalltype
downloadmsglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.tar.gz
msglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.tar.bz2
msglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.zip
Inital Commit
Diffstat (limited to '.local/bin/convertalltype')
-rwxr-xr-x.local/bin/convertalltype15
1 files changed, 15 insertions, 0 deletions
diff --git a/.local/bin/convertalltype b/.local/bin/convertalltype
new file mode 100755
index 0000000..702d294
--- /dev/null
+++ b/.local/bin/convertalltype
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+#Description: Takes input from the user of two types, one used that will be converted and one to be converted. The first type given is the one converted, the second is what it'll be converted to. Using this information, the program then turns everything of the first time to the second using ffmpeg.
+
+#Axioms:
+
+#Dependencies: https://wiki.debian.org/ffmpeg https://packages.debian.org/sid/parallel
+
+
+if [ -z "$1" ]
+then
+echo "You didn't give a file type!"
+exit 1
+fi
+ ls -1|grep "$1"| parallel ffmpeg -y -hwaccel auto -i {} -deadline best "{.}.$2"